# https://github.com/msgpack/msgpack-python/archive/0.5.6.tar.gz
%define upstream_name msgpack-python
%define python3 1

Name:           python-msgpack
Version:        0.5.6
Release:        %mkrel 1
Summary:        MessagePack (de)serializer

Group:          Development/Python
License:        Apache 2.0
URL:            https://pypi.python.org/pypi/msgpack-python
Source0:        %{upstream_name}-%{version}.tar.xz

BuildRequires:  %{_lib}python-devel
BuildRequires:  %{_lib}python3-devel
BuildRequires:  python-cython
BuildRequires:  python3-cython
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%if %python3
%package -n python3-msgpack
Summary:	      A Python command line parser inspired by optparse
Group:          Development/Python

%description -n python3-msgpack
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data for Python 3.
%endif

%prep
%setup -qn %{upstream_name}-%{version}
%if %python3
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %python3
%py3_build
%endif

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}
%if %python3
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
%endif

%files
%doc COPYING README.rst
%{python2_sitearch}/*

%if %python3
%files -n python3-msgpack
%doc COPYING README.rst
%{python3_sitearch}/*
%endif

%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 0.5.6-1uplos2018
- update
